#
# spec file for package rubygem-rspec-expectations
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rspec-expectations
Version:        3.3.1
Release:        5.2
%define mod_name rspec-expectations
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/rspec/rspec-expectations
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        API to express expected outcomes of a code example
License:        MIT
Group:          Development/Languages/Ruby

%description
rspec-expectations provides a simple, readable API to express expected
outcomes of a code example.

%prep

%build

%install
%gem_install \
  --doc-files="Changelog.md License.txt README.md" \
  -f

%gem_packages

%changelog
* Tue Jul 28 2015 lslezak@suse.cz
- upgrade to version 3.x (bsc#939726)
* Thu Jul 16 2015 coolo@suse.com
- updated to version 3.3.1
  see installed Changelog.md
  [#]## 3.3.1 / 2015-07-15
  [Full Changelog](http://github.com/rspec/rspec-expectations/compare/v3.3.0...v3.3.1)
  Bug Fixes:
  * Fix `be >`, `be <`, etc so that it fails rather than allowing an
    argument error to be raised when compared against an object of the
    wrong type. This allows it to be used in composed matcher expressions
    against heterogeneous objects. (Dennis Günnewig, #809)
  * Fix `respond_to` to work properly on target objects
    that redefine the `method` method. (unmanbearpig, #821)
* Sat Jun 13 2015 coolo@suse.com
- updated to version 3.3.0
  see installed Changelog.md
  [#]## 3.3.0 / 2015-06-12
  [Full Changelog](http://github.com/rspec/rspec-expectations/compare/v3.2.1...v3.3.0)
  Enhancements:
  * Expose `RSpec::Matchers::EnglishPhrasing` to make it easier to write
    nice failure messages in custom matchers. (Jared Beck, #736)
  * Add `RSpec::Matchers::FailMatchers`, a mixin which provides
    `fail`, `fail_with` and `fail_including` matchers for use in
    specifying that an expectation fails for use by
    extension/plugin authors. (Charlie Rudolph, #729)
  * Avoid loading `tempfile` (and its dependencies) unless
    it is absolutely needed. (Myron Marston, #735)
  * Improve failure output when attempting to use `be_true` or `be_false`.
    (Tim Wade, #744)
  * Define `RSpec::Matchers#respond_to_missing?` so that
    `RSpec::Matchers#respond_to?` and `RSpec::Matchers#method` handle
    dynamic predicate matchers. (Andrei Botalov, #751)
  * Use custom Time/DateTime/BigDecimal formatting for all matchers
    so they are consistently represented in failure messages.
    (Gavin Miller, #740)
  * Add configuration to turn off warnings about matcher combinations that
    may cause false positives. (Jon Rowe, #768)
  * Warn when using a bare `raise_error` matcher that you may be subject to
    false positives. (Jon Rowe, #768)
  * Warn rather than raise when using the`raise_error` matcher in negative
    expectations that may be subject to false positives. (Jon Rowe, #775)
  * Improve failure message for `include(a, b, c)` so that if `a` and `b`
    are included the failure message only mentions `c`. (Chris Arcand, #780)
  * Allow `satisfy` matcher to take an optional description argument
    that will be used in the `description`, `failure_message` and
    `failure_message_when_negated` in place of the undescriptive
    "sastify block". (Chris Arcand, #783)
  * Add new `aggregate_failures` API that allows multiple independent
    expectations to all fail and be listed in the failure output, rather
    than the example aborting on the first failure. (Myron Marston, #776)
  * Improve `raise_error` matcher so that it can accept a matcher as a single argument
    that matches the message. (Time Wade, #782)
  Bug Fixes:
  * Make `contain_exactly` / `match_array` work with strict test doubles
    that have not defined `<=>`. (Myron Marston, #758)
  * Fix `include` matcher so that it omits the diff when it would
    confusingly highlight items that are actually included but are not
    an exact match in a line-by-line diff. (Tim Wade, #763)
  * Fix `match` matcher so that it does not blow up when matching a string
    or regex against another matcher (rather than a string or regex).
    (Myron Marston, #772)
  * Silence whitespace-only diffs. (Myron Marston, #801)
* Sat Apr 11 2015 coolo@suse.com
- updated to version 3.2.1
  Bug Fixes:
  * Prevent `Range`s from being enumerated when generating matcher
  descriptions. (Jon Rowe, #755)
  * Ensure exception messages are compared as strings in the `raise_error`
  matcher. (Jon Rowe, #755)
* Fri Feb  6 2015 coolo@suse.com
- updated to version 3.2.0
  Enhancements:
  * Add `block_arg` method to custom matcher API, which allows you to
  access the block passed to a custom matcher, if there is one.
  (Mike Dalton, #645)
  * Provide more detail in failure message of `yield_control` matcher.
  (Jon Rowe, #650)
  * Add a shorthand syntax for `chain` in the matcher DSL which assigns values
  for use elsewhere, for example `chain :and_smaller_than, :small_value`
  creates an `attr_reader` for `small_value` (Tom Stuart, #644)
  * Provide a more helpful deprecation message when using the `should` syntax.
  (Elia Schito, #663)
  * Provide more detail in the `have_attributes` matcher failure message.
  (Jon Rowe,  #668)
  * Make the `have_attributes` matcher diffable.
  (Jon Rowe, Alexey Fedorov, #668)
  * Add `output(...).to_std(out|err)_from_any_process` as alternatives
  to `output(...).to_std(out|err)`. The latter doesn't work when a sub
  process writes to the named stream but is much faster.
  (Alex Genco, #700)
  * Improve compound matchers (created by `and` and `or`) so that diffs
  are included in failures when one or more of their matchers
  are diffable. (Alexey Fedorov, #713)
  Bug Fixes:
  * Avoid calling `private_methods` from the `be` predicate matcher on
  the target object if the object publicly responds to the predicate
  method. This avoids a possible error that can occur if the object
  raises errors from `private_methods` (which can happen with celluloid
  objects). (@chapmajs, #670)
  * Make `yield_control` (with no modifier) default to
  `at_least(:once)` rather than raising a confusing error
  when multiple yields are encountered.
  (Myron Marston, #675)
* Tue Jan 20 2015 dmueller@suse.com
- update to 3.1.2:
  * Rails 4.1 enablement
  [ full changelog is very long, see
    https://github.com/rspec/rspec-expectations/blob/master/Changelog.md
    for details ]
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Thu Feb  6 2014 coolo@suse.com
- updated to version 2.14.5
  Bug fixes
  * Fix wrong matcher descriptions with falsey expected value (yujinakayama)
* Fri Nov 22 2013 coolo@suse.com
- updated to version 2.14.4
  [full changelog](http://github.com/rspec/rspec-expectations/compare/v2.14.3...v2.14.4)
  Bug fixes
  * Make the `match` matcher produce a diff output. (Jon Rowe, Ben Moss)
  * Choose encoding for diff's more intelligently, and when all else fails fall
  back to default internal encoding with replacing characters. (Jon Rowe)
* Fri Oct  4 2013 coolo@suse.com
- updated to version 2.14.3
  Bug fixes
  * Fix operator matchers (`should` syntax) when `method` is redefined on target.
  (Brandon Turner)
  * Fix diffing of hashes with object based keys. (Jon Rowe)
  * Fix operator matchers (`should` syntax) when operator is defined via
  `method_missing` (Jon Rowe)
* Mon Aug 26 2013 coolo@suse.com
- updated to version 2.14.2
  Bug fixes
  * Fix `be_<predicate>` matcher to not support operator chaining like the
  `be` matcher does (e.g. `be == 5`). This led to some odd behaviors
  since `be_<predicate> == anything` returned a `BeComparedTo` matcher
  and was thus always truthy. This was a consequence of the implementation
  (e.g. subclassing the basic `Be` matcher) and was not intended behavior.
  (Myron Marston).
  * Fix `change` matcher to compare using `==` in addition to `===`. This
  is important for an expression like:
  `expect {}.to change { a.class }.from(ClassA).to(ClassB)` because
  `SomeClass === SomeClass` returns false. (Myron Marston)
  [#]## 2.14.1 / 2013-08-08
  [full changelog](http://github.com/rspec/rspec-expectations/compare/v2.14.0...2.14.1)
  Bug fixes
  * Ensure diff output uses the same encoding as the encoding of
  the string being diff'd to prevent `Encoding::UndefinedConversionError`
* Wed Jul 31 2013 coolo@suse.com
- updated to version 2.14.0
  Bug fixes
  * Values that are not matchers use `#inspect`, rather than `#description` for
  documentation output (Andy Lindeman, Sam Phippen).
  * Make `expect(a).to be_within(x).percent_of(y)` work with negative y
  (Katsuhiko Nishimra).
  * Make the `be_predicate` matcher work as expected used with `expect{...}.to
  change...`  (Sam Phippen).
  [#]## 2.14.0.rc1 / 2013-05-27
  [full changelog](http://github.com/rspec/rspec-expectations/compare/v2.13.0...v2.14.0.rc1)
  Enhancements
  * Enhance `yield_control` so that you can specify an exact or relative
  number of times: `expect { }.to yield_control.exactly(3).times`,
  `expect { }.to yield_control.at_least(2).times`, etc (Bartek
  Borkowski).
  * Make the differ that is used when an expectation fails better handle arrays
  by splitting each element of the array onto its own line. (Sam Phippen)
  * Accept duck-typed strings that respond to `:to_str` as expectation messages.
  (Toby Ovod-Everett)
  Bug fixes
  * Fix differ to not raise errors when dealing with differently-encoded
  strings (Jon Rowe).
  * Fix `expect(something).to be_within(x).percent_of(y)` where x and y are both
  integers (Sam Phippen).
  * Fix `have` matcher to handle the fact that on ruby 2.0,
  `Enumerator#size` may return nil (Kenta Murata).
  * Fix `expect { raise s }.to raise_error(s)` where s is an error instance
  on ruby 2.0 (Sam Phippen).
  * Fix `expect(object).to raise_error` passing. This now warns the user and
  fails the spec (tomykaira).
  Deprecations
  * Deprecate `expect { }.not_to raise_error(SpecificErrorClass)` or
  `expect { }.not_to raise_error("some specific message")`. Using
  these was prone to hiding failures as they would allow _any other
  error_ to pass. (Sam Phippen and David Chelimsky)
* Sun Mar  3 2013 coolo@suse.com
- updated to version 2.13.0
  Enhancements
  * Add support for percent deltas to `be_within` matcher:
  `expect(value).to be_within(10).percent_of(expected)`
  (Myron Marston).
  * Add support to `include` matcher to allow it to be given a list
  of matchers as the expecteds to match against (Luke Redpath).
  Bug fixes
  * Fix `change` matcher so that it dups strings in order to handle
  mutated strings (Myron Marston).
  * Fix `should be =~ /some regex/` / `expect(...).to be =~ /some regex/`.
  Previously, these either failed with a confusing `undefined method
  matches?' for false:FalseClass` error or were no-ops that didn't
  actually verify anything (Myron Marston).
  * Add compatibility for diff-lcs 1.2 and relax the version
  constraint (Peter Goldstein).
  * Fix DSL-generated matchers to allow multiple instances of the
  same matcher in the same example to have different description
  and failure messages based on the expected value (Myron Marston).
  * Prevent `undefined method #split for Array` error when dumping
  the diff of an array of multiline strings (Myron Marston).
  * Don't blow up when comparing strings that are in an encoding
  that is not ASCII compatible (Myron Marston).
  * Remove confusing "Check the implementation of #==" message
  printed for empty diffs (Myron Marston).
* Tue Dec 18 2012 coolo@suse.com
- updated to version 2.12.1
  [full changelog](http://github.com/rspec/rspec-expectations/compare/v2.12.0...v2.12.1)
  Bug fixes
  * Improve the failure message for an expression like
  `{}.should =~ {}`. (Myron Marston and Andy Lindeman)
  * Provide a `match_regex` alias so that custom matchers
  built using the matcher DSL can use it (since `match`
  is a different method in that context).
  (Steven Harman)
* Tue Nov 13 2012 coolo@suse.com
- updated to version 2.12.0
  Enhancements
  * Colorize diffs if the `--color` option is configured. (Alex Coplan)
  * Include backtraces in unexpected errors handled by `raise_error`
  matcher (Myron Marston)
  * Print a warning when users accidentally pass a non-string argument
  as an expectation message (Sam Phippen)
  * `=~` and `match_array` matchers output a more useful error message when
  the actual value is not an array (or an object that responds to `#to_ary`)
  (Sam Phippen)
  Bug fixes
  * Fix `include` matcher so that `expect({}).to include(:a => nil)`
  fails as it should (Sam Phippen).
  * Fix `be_an_instance_of` matcher so that `Class#to_s` is used in the
  description rather than `Class#inspect`, since some classes (like
  `ActiveRecord::Base`) define a long, verbose `#inspect`.
  (Tom Stuart)
* Mon Sep 10 2012 coolo@suse.com
- updated to version 2.11.3
  [full changelog](http://github.com/rspec/rspec-expectations/compare/v2.11.2...v.2.11.3)
  Bug fixes
  * Fix (and deprecate) `expect { }.should` syntax so that it works even
    though it was never a documented or intended syntax. It worked as a
    consequence of the implementation of `expect` in RSpec 2.10 and
    earlier. (Myron Marston)
  * Ensure #== is defined on build in matchers so that they can be composed.
    For example:
    expect {
    user.emailed!
    }.to change { user.last_emailed_at }.to be_within(1.second).of(Time.zone.now)
* Sun Jul 29 2012 coolo@suse.com
- initial package
